/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <ox/std/array.hpp>

#include <nostalgia/foundation/module.hpp>

#include <nostalgia/core/module.hpp>

namespace nostalgia {

void loadModules() noexcept {
	static bool done = false;
	if (done) {
		return;
	}
	const ox::Array<foundation::Module*, 1> mods = {
		&core::CoreModule::mod,
	};
	for (const auto m : mods) {
		foundation::registerModule(m);
	}
	done = true;
}

}
